package Uebungen.Uebung4;
import java.util.Scanner;
public class Maximum {
    public static void main(String[] args){
        System.out.print("Bitte geben Sie die Anzahl der Zufallszahlen an: ");
        Scanner scanner = new Scanner(System.in);
        int arraySize = Integer.parseInt(scanner.next());

        double[] valueStore = new double[arraySize];
        for (int i=0; i<arraySize;i++){
            valueStore[i] = Math.random();
            System.out.println("#" + i + " : " + valueStore[i]);
        }

        System.out.println("Die größte Zahl hat den index: " + max(valueStore));
    }
    public static int max(double input[]){
        int index=0;
        double largestNumber = 0;
        for(int i=0; i<input.length;i++){
            if(largestNumber<input[i]){
                largestNumber = input[i];
                index = i;
            }
        }
        return index;
    }

}
